﻿using System.Windows;
using System.Windows.Controls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace WpfTouchSamples
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void WpfMap_Loaded(object sender, RoutedEventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;

         
            ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(@"..\..\..\Data\Countries02.shp");
            worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
            worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
           
            LayerOverlay overlay = new LayerOverlay();
            overlay.Layers.Add("WorldLayer", worldLayer);
            winformsMap1.Overlays.Add(overlay);

            winformsMap1.CurrentExtent = overlay.GetBoundingBox();
            winformsMap1.Refresh();
        }

        private void MenuItem_Click(object sender, RoutedEventArgs e)
        {
            var menuItem = e.OriginalSource as MenuItem;
            if (menuItem.Header.ToString() == "ZoomIn")
            {
                winformsMap1.ZoomIn();
            }
            else
            {
                winformsMap1.ZoomOut();
            }
        }
    }
}
